# GratifyPay ZenCart Module Docker

## Description

This is a docker environment for running the GratifyPay payment plugin for ZenCart.

## Requirements

This plugin requires the following:

- Docker, including Docker-Compose
- A GratifyPay [Merchant Account](https://www.gratifypay.com/)

## Installation

1. Run docker-compose

```
$ docker-compose up
```

2. Once the docker environment is build and running, visit: [http://LOCAL_IP/zc-1.5.7/zc_install/index.php](http://LOCAL_IP/zc-1.5.7/zc_install/index.php) where LOCAL_IP is your local non-loopback ip

3. Fill in the following:

   - Agree to license terms: Yes
   - Database Host: db
   - Database User: zencart
   - Database Password: zencart
   - Database Name: zencart
   - Load Demo Data: Yes
   - Prefix: 157\_

4. Remove the rc_install folder:

```
docker exec -it $(docker container ls -q -f name=zencart_zencart_1) bash -c "rm -rf /var/www/html/zc-1.5.7/zc_install"
```

5. Navigate to the admin page, finish setting up the Store

6. Repeat the process for the the version 1.5.8-dev site by navigating to [http://LOCAL_IP/zc-1.5.8/zc_install/index.php](http://LOCAL_IP/zc-1.5.8/zc_install/index.php) where LOCAL_IP is your local non-loopback ip

7. Fill in the following:
   - Agree to license terms: Yes
   - Database Host: db
   - Database User: zencart
   - Database Password: zencart
   - Database Name: zencart
   - Load Demo Data: Yes
   - Prefix: 158\_

---

##### Note, the prefix is different

---

8. Remove the rc_install folder:

```
docker exec -it $(docker container ls -q -f name=zencart_zencart_1) bash -c "rm -rf /var/www/html/zc-1.5.8/zc_install"
```

9. Navigate to the admin page, finish setting up the Store

## Support

### GratifyPay Support

- [Support](https://www.gratifypay.com/contact-us/)

### ZenCart Support

- [Homepage](http://www.zen-cart.com)
- [Documentation](http://www.zen-cart.com/wiki/index.php/Developers_API)
- [Support Forums](http://www.zen-cart.com/forum.php)

admin-password: S1wE5reGdzSH
