<?php

/**
 * GratifyPay Payment Module
 *
 * @package paymentMethod
 * @copyright Copyright 2003-2018 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: v1.0.0 $
 */

if (!defined('TABLE_GRATIFYPAY_ORDERS')) {
    define('TABLE_GRATIFYPAY_ORDERS', DB_PREFIX . 'gratifypay_orders');
}
if (!defined('TABLE_GRATIFYPAY_PAYMENT_STATUS')) {
    define('TABLE_GRATIFYPAY_PAYMENT_STATUS', 5);
}

class gratifypay
{
    var $code, $title, $description, $enabled;

// class constructor
    function __construct()
    {
        global $order;

        $this->code = 'gratifypay';
        $this->title = MODULE_PAYMENT_GRATIFYPAY_TEXT_TITLE;
        $this->description = MODULE_PAYMENT_GRATIFYPAY_TEXT_DESCRIPTION;
        $this->sort_order = defined('MODULE_PAYMENT_GRATIFYPAY_SORT_ORDER') ? MODULE_PAYMENT_GRATIFYPAY_SORT_ORDER : null;
        $this->enabled = (defined('MODULE_PAYMENT_GRATIFYPAY_STATUS') && MODULE_PAYMENT_GRATIFYPAY_STATUS == 'True');
        if (null === $this->sort_order) return false;
        /*if (defined('TABLE_GRATIFYPAY_PAYMENT_STATUS') && (int)TABLE_GRATIFYPAY_PAYMENT_STATUS > 0) {
            $this->order_status = TABLE_GRATIFYPAY_PAYMENT_STATUS;
        }*/

        if (is_object($order)) $this->update_status();
    }

// class methods
    function update_status()
    {


// disable the module if the order only contains virtual products
        if ($this->enabled == true) {

        }

        // other status checks?
        if ($this->enabled) {
            // other checks here
        }
    }

    function javascript_validation()
    {
        return false;
    }

    public function after_order_create($order_id)
    {
        $gratifypay_order = new GratifyPayOrders();
        $row = $gratifypay_order->getByCartId($_SESSION['cart']->cartID);
        if (!empty($row)) {
            $gratifypay_order->updatedByCartId($row['id_cart'], $order_id, $row['id_gratify_order']);
        }
    }

    function selection()
    {
        return array('id' => $this->code,
            'module' => $this->title);
    }

    function pre_confirmation_check()
    {
        return false;
    }

    function confirmation()
    {
        return false;
    }

    function process_button()
    {
        return false;
    }

    function before_process()
    {
        return false;
    }

    function after_process()
    {
        return false;
    }

    function get_error()
    {
        return false;
    }

    function check()
    {
        global $db;
        if (!isset($this->_check)) {
            $check_query = $db->Execute("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_GRATIFYPAY_STATUS'");
            $this->_check = $check_query->RecordCount();
        }
        return $this->_check;
    }

    function install()
    {
        global $db, $messageStack;
        if (defined('MODULE_PAYMENT_GRATIFYPAY_STATUS')) {
            $messageStack->add_session('GratifyPay module already installed.', 'error');
            zen_redirect(zen_href_link(FILENAME_MODULES, 'set=payment&module=gratifypay', 'NONSSL'));
            return 'failed';
        }

        $db->Execute("INSERT INTO " . TABLE_ORDERS_STATUS . " (orders_status_id, language_id, orders_status_name)
                        VALUES ('" . TABLE_GRATIFYPAY_PAYMENT_STATUS . "',
                                '" . (int)$_SESSION['languages_id'] . "',
                                '" . zen_db_input("Paid") . "')");

        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Gratify Pay Module', 'MODULE_PAYMENT_GRATIFYPAY_STATUS', 'True', 'Do you want to accept Gratify Pay payments?', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Merchant Id.', 'MODULE_PAYMENT_GRATIFYPAY_MERCHANT_ID', '', 'GratifyPay Merchant Id.', '6', '1', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Merchant Secret Key.', 'MODULE_PAYMENT_GRATIFYPAY_MERCHANT_SECRET_KEY', '', 'GratifyPay Merchant Secret Key.', '6', '2', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_GRATIFYPAY_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '4', now())");

        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Category Page', 'MODULE_PAYMENT_GRATIFYPAY_CATEGORY_PAGE', 'True', 'Show the phrase at a category page?', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Category page customization.', 'MODULE_PAYMENT_GRATIFYPAY_CATEGORY_PAGE_PHRASE', 'or {NUM_PAYMENTS} interest-free instalments of {AMOUNT} by {GRATIFY_LOGO}', 'Category page customization block.', '6', '4', now())");

        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Product Page', 'MODULE_PAYMENT_GRATIFYPAY_PRODUCT_PAGE', 'True', 'Show the phrase at a product page?', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Product page customization.', 'MODULE_PAYMENT_GRATIFYPAY_PRODUCT_PAGE_PHRASE', 'or {NUM_PAYMENTS} interest-free instalments of {AMOUNT} by {GRATIFY_LOGO}', 'Category page customization block.', '6', '4', now())");

        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Cart Page', 'MODULE_PAYMENT_GRATIFYPAY_CART_PAGE', 'True', 'Show the phrase at a cart page?', '6', '0', 'zen_cfg_select_option(array(\'True\', \'False\'), ', now())");
        $db->Execute("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Cart page customization.', 'MODULE_PAYMENT_GRATIFYPAY_CART_PAGE_PHRASE', 'or {NUM_PAYMENTS} interest-free instalments of {AMOUNT} by {GRATIFY_LOGO}', 'Category page customization block.', '6', '4', now())");



        $db->Execute('CREATE TABLE IF NOT EXISTS ' . TABLE_GRATIFYPAY_ORDERS. ' ('
        . '`id` INT(11) NOT NULL PRIMARY KEY AUTO_INCREMENT, '
        . '`id_order` INT(11), '
        . '`id_cart` INT(11) NOT NULL, '
        . '`id_gratify_order` CHAR(255), '
        . '`created_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP, '
        . '`updated_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP'
        . ') CHARACTER SET=UTF8;');


    }

    function remove()
    {
        global $db;
        $db->Execute("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
        $db->Execute("delete from " . TABLE_ORDERS_STATUS . " where orders_status_id = " . TABLE_GRATIFYPAY_PAYMENT_STATUS);
        $db->Execute("drop table if exists " . TABLE_GRATIFYPAY_ORDERS);
    }

    function keys()
    {
        return array('MODULE_PAYMENT_GRATIFYPAY_STATUS', 'MODULE_PAYMENT_GRATIFYPAY_ZONE', 'MODULE_PAYMENT_GRATIFYPAY_ORDER_STATUS_ID', 'MODULE_PAYMENT_GRATIFYPAY_SORT_ORDER', 'MODULE_PAYMENT_GRATIFYPAY_MERCHANT_ID', 'MODULE_PAYMENT_GRATIFYPAY_MERCHANT_SECRET_KEY', 'MODULE_PAYMENT_GRATIFYPAY_CATEGORY_PAGE', 'MODULE_PAYMENT_GRATIFYPAY_CATEGORY_PAGE_PHRASE', 'MODULE_PAYMENT_GRATIFYPAY_PRODUCT_PAGE', 'MODULE_PAYMENT_GRATIFYPAY_PRODUCT_PAGE_PHRASE', 'MODULE_PAYMENT_GRATIFYPAY_CART_PAGE', 'MODULE_PAYMENT_GRATIFYPAY_CART_PAGE_PHRASE');
    }
}
